io.undertow.security.idm

## Class ExternalCredential

- java.lang.Object
- - io.undertow.security.idm.ExternalCredential

All Implemented Interfaces:
  Credential, Serializable

    public class ExternalCredential
    extends Object
    implements Serializable, Credential

Representation of an external credential. This basically represents a trusted 3rd party, e.g. a front end server that has performed authentication.

Author:
  Stuart Douglas
See Also:
  Serialized Form

### Field Summary

Fields
`static ExternalCredential` `INSTANCE`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final ExternalCredential INSTANCE